Do I Need to Change My Code When Upgrading from PCI-GPIB to PCIe-GPIB?

Updated Mar 26, 2018

Reported In

Hardware

  • PCI-GPIB
  • PCIe-GPIB

Software

  • LabVIEW

Issue Details

I have been using a LabVIEW application with an NI PCI-GPIB and am now in the process of upgrading to a new PCIe-GPIB card. Will my old code work with this new card? Are there any changes I need to make to the code?

Solution

With the proper NI 488.2 driver installed, LabVIEW will recognize a new PCIe-GPIB the same as a PCI-GPIB. You will not need to change the functionality of your code.

Follow these steps to find and download the correct NI 488.2 driver:
  1. Note which NI 488.2 driver version is compatible with your version of LabVIEW.
  2. Download that driver version from the NI Driver Download Page.

WAS THIS ARTICLE HELPFUL?

Not Helpful